Update container
curl --request PUT \
--url https://console.gmicloud.ai/api/v1/containers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "LLM training",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"args": [],
"command": "",
"envs": [
{
"name": "access_token",
"value": "kalsk113=="
}
],
"ports": [],
"sshKeyIdList": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://console.gmicloud.ai/api/v1/containers/{id}"
payload = {
"name": "LLM training",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"args": [],
"command": "",
"envs": [
{
"name": "access_token",
"value": "kalsk113=="
}
],
"ports": [],
"sshKeyIdList": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'LLM training',
templateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
args: [],
command: '',
envs: [{name: 'access_token', value: 'kalsk113=='}],
ports: [],
sshKeyIdList: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://console.gmicloud.ai/api/v1/containers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}containers
Update container
PUT
/
v1
/
containers
/
{id}
Update container
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Maximum string length:
255Pattern:
^([A-Za-z0-9][A-Za-z0-9_\-. ]*)?[A-Za-z0-9]$Example:
"LLM training"
template id
Optional container command arguments
Optional container start command
Show child attributes
Show child attributes
Example:
[
{
"name": "access_token",
"value": "kalsk113=="
}
]Show child attributes
Show child attributes
The list of SSH key IDs to use in the container
Response
successful
⌘I